Get all sub-sources in the firm Run in API Explorer
Ask AI
Query parameters
-
Filter by a comma separated list of UUIDs.
-
Filter by name.
-
Whether to include archived sub-sources. Valid options are [exclude, include, only]. Defaults to 'exclude'.
-
Field to sort by. Valid fields are [position, name, created_at]. Negative sign to denote DESC. Defaults to 'position'.
-
Number of results to return with pagination (Default 15. Max 500).
GET
/api/v1/lead-sub-sources
curl \
--request GET 'https://api.plannrcrm.com/api/v1/lead-sub-sources' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
"data": [
{
"uuid": "45726cb7-3c41-4f6c-8a79-b08f59f8a898",
"name": "Google",
"description": "Paid search on Google",
"position": 1,
"archived": false,
"lead_source": {
"uuid": "8a4f4681-e974-4fd5-a370-b6efde3e3775",
"name": "Website",
"description": "Enquiries via the contact page",
"position": 1,
"archived": false,
"sub_sources": {
"uuid": "3c5c8ee5-10d2-4665-a299-405c954225a8",
"name": "Google",
"description": "Paid search on Google",
"position": 1,
"archived": false,
"created_at": "2026-10-29T17:25:14+00:00",
"updated_at": "2026-10-29T17:25:14+00:00"
},
"created_at": "2026-10-29T17:25:06+00:00",
"updated_at": "2026-10-29T17:25:06+00:00"
},
"created_at": "2026-10-29T17:25:06+00:00",
"updated_at": "2026-10-29T17:25:06+00:00"
}
]
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}